Bug 143510 - kernel oops
kernel oops
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-21 14:55 EST by Jiann-Ming Su
Modified: 2015-01-04 17:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-12 23:27:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiann-Ming Su 2004-12-21 14:55:44 EST
Description of problem:
kernel oops

Version-Release number of selected component (if applicable):
2.6.9-1.681_FC3smp

How reproducible:

?

Steps to Reproduce:
1.
2.
3.
  
Actual results:

Unable to handle kernel paging request at virtual address 829c9b00
 printing eip:
0217e449
*pde = 00000000
Oops: 0000 [#1]
SMP 
Modules linked in: i2c_dev i2c_core microcode dm_mod button battery ac
e100 mii floppy sg ext3 jbd aic7xxx 
megaraid_mbox megaraid_m
m sd_mod scsi_mod
CPU:    0
EIP:    0060:[<0217e449>]    Not tainted VLI
EFLAGS: 00010206   (2.6.9-1.681_FC3smp) 
EIP is at proc_get_inode+0xb5/0xf2
eax: 7fb1a000   ebx: 0454e560   ecx: 41c7ae45   edx: 829c9b00
esi: 80f66e50   edi: 81fe4c00   ebp: 7cbfb498   esp: 7fb1ae34
ds: 007b   es: 007b   ss: 0068
Process save (pid: 4210, threadinfo=7fb1a000 task=80974e90)
Stack: 0454e560 00000000 7bdf2ce4 02180824 ffffffea 00000000 02317760
7bdf2ce4 
       7cbfb498 7cb3e04c 0215f2d8 7fb1af0c 7fb1aec0 00000000 7fb1af0c
00000000 
       7fb1aec0 0215f4f5 045c3620 7fb1aeb8 4b1a54e6 7cbfb498 4b1a54e6
7fb1af0c 
Call Trace:
 [<02180824>] proc_lookup+0xc9/0xd6
 [<0215f2d8>] real_lookup+0x6e/0xd2
 [<0215f4f5>] do_lookup+0x56/0x8f
 [<0215fd2a>] link_path_walk+0x7fc/0xba9
 [<0214f7ea>] copy_str_fromuser_size+0x3d/0x56
 [<021603ea>] path_lookup+0x144/0x174
 [<0216052e>] __user_walk+0x21/0x51
 [<0215bbdc>] vfs_lstat+0x11/0x37
 [<0214f496>] rw_vm+0x276/0x284
 [<0215c13a>] sys_lstat64+0xf/0x23
 [<0214f7a9>] put_user_size+0x29/0x2d
 [<02164018>] sys_getdents64+0x9f/0xa9
Code: <3>Debug: sleeping function called from invalid context at
include/linux/rwsem.h:43
in_atomic():0[expected: 0], irqs_disabled():1
 [<0211df82>] __might_sleep+0x7d/0x87
 [<0214f2fd>] rw_vm+0xdd/0x284
 [<0217e41e>] proc_get_inode+0x8a/0xf2
 [<0217e41e>] proc_get_inode+0x8a/0xf2
 [<0214f759>] get_user_size+0x30/0x57
 [<0217e41e>] proc_get_inode+0x8a/0xf2
 [<021061c4>] show_registers+0x115/0x16c
 [<0210635b>] die+0xdb/0x16b
 [<02120674>] vprintk+0x136/0x14a
 [<02119aa7>] do_page_fault+0x421/0x5e7
 [<0217e449>] proc_get_inode+0xb5/0xf2
 [<02266ace>] release_sock+0xf/0x4f
 [<02288f58>] tcp_sendmsg+0xd9a/0xe36
 [<02107656>] handle_IRQ_event+0x25/0x4f
 [<02119686>] do_page_fault+0x0/0x5e7
 [<0216007b>] link_path_walk+0xb4d/0xba9
 [<0217e449>] proc_get_inode+0xb5/0xf2
 [<02180824>] proc_lookup+0xc9/0xd6
 [<0215f2d8>] real_lookup+0x6e/0xd2
 [<0215f4f5>] do_lookup+0x56/0x8f
 [<0215fd2a>] link_path_walk+0x7fc/0xba9
 [<0214f7ea>] copy_str_fromuser_size+0x3d/0x56
 [<021603ea>] path_lookup+0x144/0x174
 [<0216052e>] __user_walk+0x21/0x51
 [<0215bbdc>] vfs_lstat+0x11/0x37
 [<0214f496>] rw_vm+0x276/0x284
 [<0215c13a>] sys_lstat64+0xf/0x23
 [<0214f7a9>] put_user_size+0x29/0x2d
 [<02164018>] sys_getdents64+0x9f/0xa9
 Bad EIP value.

Expected results:


Additional info:

I have no idea what caused that oops.  No panic.  The system kept
running.  Maybe the stack trace will be useful to the kernel developers.
Comment 1 Dave Jones 2005-01-10 23:18:55 EST
can you reproduce this with todays 2.6.10 update ?

Note You need to log in before you can comment on or make changes to this bug.